
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Delphi使用大图标编译程序 / 憋错料</title>

    <meta name="description" content="Delphi使用大图标编译程序 在Windows Vista. Windows7以上Windows系统中可以支持大图标显示了,但是Delphi编译出来的程序却只能显示32x32的图标,这使Delphi编译的程序看起来很不专业.下面就把Delphi编译大图标程序的方法分享一下. 要想使用大图标编译,首先要准备一个256x256的图标图片. 使用图标编辑软件,如IconWorkshop打开你的 ico文件,新建一个256x256的真彩色图标,将你的图片文件导入到该图标中.保存图标后,将图标文件拷贝到你的工程目录下,假设为maini">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Delphi使用大图标编译程序</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>在Windows Vista、 Windows7以上Windows系统中可以支持大图标显示了，但是Delphi编译出来的程序却只能显示32x32的图标，这使Delphi编译的程序看起来很不专业。下面就把Delphi编译大图标程序的方法分享一下。</p>
<p>要想使用大图标编译，首先要准备一个256x256的图标图片。</p>
<p>使用图标编辑软件，如IconWorkshop打开你的 ico文件，新建一个256x256的真彩色图标，将你的图片文件导入到该图标中。保存图标后，将图标文件拷贝到你的工程目录下，假设为mainico.ico，然后在你的工程下面建一个mainico.rc的文件，在里面输入文本：</p>
<p>MAINICON ICON mainico.ico</p>
<p>打开命令行窗口，将目录切换到你的工程目录下，输入命令rc mainico.rc，按回车执行，这时在你的工程目录下会生成一个mainico.RES文件。</p>
<p>在Delphi中打开你的工程，选择菜单Project-&gt;View Source，在{$R *.res}下面加上一行{$R Mainico.RES}，再编译程序就可以了。</p>
<p>Windows系统会对图标缓存，所以刚编译完可能看不到效果，可以将编译后的程序拷贝到其他地方，看是否变成大图标了。</p>
<p>rc命令为调用的Microsoft Windows Resource Compiler</p>
<p>http://bcoder.com/delphi/compile-program-with-large-icon-in-delphi</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 02:51:13 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Delphi使用大图标编译程序的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41wqXY0.html" rel="bookmark">【C语言】不使用大小于号，求出两数最大值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//不使用大小于号,求出两数最大值 #include &lt;stdio.h&gt; #include &lt;math.h&gt; double Max(double a, double b) { double q = sqrt((a-b)*(a-b)); return ((a + b) + q) / 2; } int main() { printf(&quot;(5,8)大的数为:%.0f\n&quot;, Max(5, 8)); printf(&quot;(0,4)大的数为:%.0f\n&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NKoXGM.html" rel="bookmark">盘点用户使用大数据的10个方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们正处于福雷斯特研究公司所描述的&quot;用户时代&quot;,这个时代中驱动业务决策的不再是公司,而是用户.基于这个原因,深度理解用户的重要性已经远胜以往,因此许多机构开始使用大数据技术来挖掘用户信息. 在这个时代,企图收获成功(甚至是求生存)的在线业务必须切实的理解顾客的体验和行为,因此海量数据的收集及挖掘能力成了这些机构的必备手段.当下,有许多机构的分析仍处于数据的收集上,组织能力的缺乏和技术的限制让这些收集来的数据失去了应有的价值.而在用户体验上也缺乏按部就班的计划,从而丧失了获取关键见解的途			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rxkO9M.html" rel="bookmark">C&num; &period;Net 下 x86使用大内存的处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/LARGEADDRESSAWARE 选项通知链接器应用程序可处理大于 2 GB 的地址. 在 64 位编译器中,默认情况下启用此选项. 在 32 位编译器中,如果未在链接器行上指定 /LARGEADDRESSAWARE,则将启用 /LARGEADDRESSAWARE:NO. 如果用 /LARGEADDRESSAWARE 来链接应用程序,则 DUMPBIN /HEADERS 将显示该效果的信息. 在 Visual Studio 开发环境中设置此链接器选项 打开该项目的“属性页”对话框. 有关详细			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3weZLbM.html" rel="bookmark">Windows远程桌面使用大招儿</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.开通远程桌面: 我的电脑---右键&quot;属性&quot;-&quot;高级系统设置&quot;-远程-允许运行任意版本远程桌面的计算机连接(较不安全) 2.登录远程桌面的Windows用户,至少是Remote Desktop User用户组的成员.当然Administrator组也是可以的. 3.登录远程桌面的用户名,必须是带有密码的.空密码的帐号是无法登录的. 4.打开远程桌面服务,输入services.msc打开服务:Remote Desktop Configuration.Remote D			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rjne13.html" rel="bookmark">C&num;实现与文件关联后使刷新图标立即生效的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C#实现与文件关联后使刷新图标立即生效的方法,分享给大家. 首先要说明,这可不是重启explorer.exe资源管理器. 一段代码搞定: SHChangeNotify(0x8000000, 0, IntPtr.Zero, IntPtr.Zero); [DllImport(&quot;shell32.dll&quot;)] public static extern void SHChangeNotify(uint wEventId, uint uFlags, IntPtr dwItem1, IntPtr d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPxzbyM.html" rel="bookmark">使用大淘客接口获取产品数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用大淘客获取优惠券产品列表 1.申请大淘客账号 2.申请开放平台权限(一般1-3天就可以开通成功) 3.创建应用,创建成功如图所示 这个以9块9包邮为例,获取数据(9.9文档 http://www.dataoke.com/pmc/api-d.html?id=15) 所用到的自定义函数函数如下 /* * 发起GET网络提交 * @params string $url : 网络地址 */ function https_get($url) { $curl = curl_init(); curl_se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OA1AgM.html" rel="bookmark">Delphi 设置程序图标为系统默认图标</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows VCL 程序: 1. 用文本编辑器打开Delphi项目的.dproj文件.2. 搜索关键字“&lt;Icon_MainIcon&gt;”,查找Icon_MainIcon元素.3. 将所有Icon_MainIcon元素的内容删除(删除&lt;Icon_MainIcon&gt;与&lt;/Icon_MainIcon&gt;之间的内容).4. 保存文件. 验证结果: 重新打开Delphi项目,打开项目的选项窗口. 在项目选项窗口中左侧:选择应用程序-图标. 在项目选项窗口中右侧:应用程序图标显示			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49vJp1M.html" rel="bookmark">使用大数据对网站基本指标案例的分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				案例: 使用电商网站的用户行为日志进行统计分析 一:准备 1.指标 PV:网页流浪量 UV:独立访客数 VV:方可的访问数 IP:独立的IP数 2.上传测试数据 3.查看第一条记录 注意点(字符显示):            二:程序 1.分析 省份ID-&gt;key value-&gt;1 -&gt; &lt;proviced,list(1,1,1)&gt; 2.数据类型 key:Text value:IntWritable 3.map 端的业务 4.reduce端的业务 5.整合运行 6.结果 三:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmNkND0.html" rel="bookmark">【凯子哥带你夯实应用层】滚来滚去，滚来滚去&period;&period;&period;Scroller相关类使用大揭秘！！！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请注明出处:http://blog.csdn.net/zhaokaiqiang1992 话接上文,在前一篇文章里面,咱们一起分析了&quot;知乎&quot;的回答详情页的需求,然后顺便用代码实现了下,忘了的可以再去看看[凯子哥带你夯实应用层]都说&quot;知乎&quot;逼格高,我们来实现&quot;知乎&quot;回答详情页动画效果 .其实在很多的界面效果中,这种&quot;滚动&quot;的效果能带来很多的惊喜,各种效果也很有搞头,说不定什么时候,Boss看着哪个界面好看,就让你去仿个过来,你			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/VMG5RZ3.html" rel="bookmark" class="title">java字符串替换repalce方法实现</a>
					<div>
						////将一个字符串中的空格替换为另外一个字符串 函数主体如下 1 ////替换空格 2 private static char[] replaceTrim(char[] str1,char[] ti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0nNKK0.html" rel="bookmark" class="title">linux服务器更换主板后无法识别网卡解决办法</a>
					<div>
						在我的超算集群里,有台服务器故障报修,主板坏了,更换主板后,无法识别网卡,用命令ifconfig -a 查看只显示lo loopback 127.0.0.1,以及eth7,eth8,eth9等没有网卡 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vEKEo0.html" rel="bookmark" class="title">桌面应用基本创建流程</a>
					<div>
						&lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt;&lt;LinearLayout xmlns:android=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz88nJ3.html" rel="bookmark" class="title">BufferImage的使用之如何放缩和截取图片的一部分</a>
					<div>
						BufferedImage src  //BufferedImage 类的图片资源 int width = src.getWidth(); // 得到源图宽 int height = src.getH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wv1eV0.html" rel="bookmark" class="title">php字符串类型讲解</a>
					<div>
						PHP 支持八种原始类型(type). 四种标量类型: string(字符串) integer(整型) float(浮点型,也作 double ) boolean(布尔型) 两种复合类型: array ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K2PoLM.html" rel="bookmark" class="title">C&plus;&plus;自学笔记&lowbar;特殊的成员变量的初始化方法&lowbar;《C&plus;&plus; Primer》</a>
					<div>
						有些成员变量的数据类型比较特别,它们的初始化方式也和普通数据类型的成员变量有所不同.这些特殊的类型的成员变量包括: a.引用 b.常量 c.静态 d.静态常量(整型) e.静态常量(非整型) 常量和引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d5J6z3.html" rel="bookmark" class="title">Juniper策略路由配置（备忘）</a>
					<div>
						实现思路 a) 创建独立于主路由表inet.0的路由表,即routing-instance 路由实例 b) 为这些实例(这些实例都独立于主路由表)添加相关路由条目 c) 为路由条目添加底层路由 由于每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e55KE0.html" rel="bookmark" class="title">数据库事务的四种隔离级别</a>
					<div>
						数据库事务的隔离级别有4个,由低到高依次为: Read uncommitted 未授权读取 读未提交 读可允许其他两个事务不能同时进行写操作 事务B读取事务A为提交的数据 避免更新丢失 会出现脏读 R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgPvJ80.html" rel="bookmark" class="title">&lbrack;LeetCode&rsqb; Evaluate Reverse Polish Notation stack 栈</a>
					<div>
						Evaluate the value of an arithmetic expression in Reverse Polish Notation. Valid operators are +, -, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4A6nbvM.html" rel="bookmark" class="title">使用 IntraWeb &lpar;16&rpar; - 基本控件之 TIWList、TIWListbox、TIWComboBox、TIWOrderedListbox</a>
					<div>
						TIWList //列表; 它对应 Html 中的 OL.LI(某些选项下会用表格模拟); TIWListbox 和 TIWComboBox 则对应 Html 在的 Option TIWListbox ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPW1w64.html" rel="bookmark" class="title">git中的暂存区与工作区</a>
					<div>
						工作区:本地暂存区:执行git add后将文件添加到暂存区(stage)版本库:执行git commit后将文件暂存区的所有文件添加到版本库git checkout --&lt;filename&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ORbVg0.html" rel="bookmark" class="title">过滤器与拦截器之间的关系与区别</a>
					<div>
						Java过滤器与SpringMVC拦截器之间的关系与区别http://blog.csdn.net/chenleixing/article/details/44573495 今天学习和认识了一下,过滤器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NGLmZM.html" rel="bookmark" class="title">Invalid signature file digest for Manifest main attributes</a>
					<div>
						Solving a Spark error: Invalid signature file digest for Manifest main attributes When using spark-s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MylxJV4.html" rel="bookmark" class="title">爱的最高境界是什么？</a>
					<div>
						有一天,女人问男人&quot;你说,爱的最高境界是什么?&quot; 男人想了想,说:&quot;是生与死吧! 你想啊,一个人可以为另一个人舍去生命中最重要的一却,还不是爱的最高境界吗?&quot;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qEE2p3.html" rel="bookmark" class="title">java使用iText生成pdf表格</a>
					<div>
						转载地址:http://www.open-open.com/code/view/1424011530749 首先需要你自己下载itext相关的jar包并添加引用,或者在maven中添加如下引用配置:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZeq80.html" rel="bookmark" class="title">Spring源码解析 - BeanFactory接口体系解读</a>
					<div>
						不知道为什么看着Spring的源码,感触最深的是Spring对概念的抽象,所以我就先学接口了. BeanFactory是Spring IOC实现的基础,这边定义了一系列的接口,我们通过这些接口的学习, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pLlDx4.html" rel="bookmark" class="title">一步一步学习ios &lpar;UISlider和UISwitch&rpar;的属性</a>
					<div>
						基本控件-UISlider(滑块) //创建一个滑块视图,确定其位置和大小(高度可以忽略) UISlider *slider = [[UISlider alloc] initWithFrame:CGR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyBWpe0.html" rel="bookmark" class="title">JS 高级</a>
					<div>
						1  函数也是对象,函数也是参数. script type=&quot;text/javascript&quot;&gt; /* function say(name,age){ alert(name+ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OynmZM.html" rel="bookmark" class="title">我眼中的Nginx</a>
					<div>
						为什么我会想使用nginx 目前使用的是F5作为负载均衡,但是F5应用在很多其他的应用之中,因此F5的管理不在我手上,一些配置或者临时的修改都必须走审批流程,感觉比较麻烦,而且不太清楚F5的详细功能说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kl95P3.html" rel="bookmark" class="title">电信计费软件故障处理的六种模式</a>
					<div>
						一.机制分析 根据代码逻辑,分析问题产生的各个职责链.严格分析和排查每条职责链的每个步骤.通过搜集可疑步骤的代码.日志等信息,进行问题确认. 二.黑盒重现 搜集与问题业务相关的配置.现象集合,将问题数 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
